local L = AceLibrary("AceLocale-2.2"):new("sRaidFrames")
local RL = AceLibrary("Roster-2.1")
local HealComm = LibStub:GetLibrary("LibHealComm-3.0")

local sRaidFrames = sRaidFrames

function sRaidFrames:UnitHealStart(unit, endTime)
	if not self.opt.HighlightHeals then return end

	self:SetStatus(unit, "Heal")
end

function sRaidFrames:UnitHealStopped(unit)
	if not self.opt.HighlightHeals then return end
	local _, incomingHeal = HealComm:UnitIncomingHealGet(unit, GetTime())

	if not incommingHeal then
		self:UnsetStatus(unit, "Heal")
	end
end

function sRaidFrames:HealComm_DirectHealStart(event, healerFullName, healSize, endTime, ...)
	--self:Print(event, healerFullName, healSize, endTime)

	if not self.opt.HighlightHealsSelf then
		local HealerUnit = RL:GetUnitIDFromName(healerFullName)
		if UnitIsUnit(HealerUnit, "player") then
			return
		end
	end

	for i=1,select('#', ...) do
		local targetUnit = RL:GetUnitIDFromName(select(i, ...))
		if targetUnit then
			self:UnitHealStart(targetUnit, endTime, healSize)
		end
	end
end

function sRaidFrames:HealComm_DirectHealStop(event, healerFullName, healSize, succeeded, ...)
	--self:Print(event, healerFullName, healSize, succeeded)

	for i=1,select('#', ...) do
		local targetUnit = RL:GetUnitIDFromName(select(i, ...))
		if targetUnit then
			self:UnitHealStopped(targetUnit)
		end
	end
end

function sRaidFrames:HealComm_DirectHealDelayed(event, healerFullName, healSize, endTime, ...)
	--self:Print(event, healerFullName, healSize, endTime)
end